Bug 907058 - F18 offline "Software update failed", "Network access was required but not available"
Summary: F18 offline "Software update failed", "Network access was required but not av...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 907166 907216 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-03 00:05 UTC by amturnip
Modified: 2014-02-05 23:01 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 23:01:00 UTC
Type: Bug


Attachments (Terms of Use)

Description amturnip 2013-02-03 00:05:39 UTC
Description of problem:

After offline update, upon next login, a Gnome message announced "Software update failed".  The "Details" button revealed "Network access was required but not available."  

Version-Release number of selected component (if applicable):

PackageKit-0.8.7-1.fc18.x86_64
systemd-197-1.fc18.1.x86_64
yum-3.4.3-48.fc18.noarch

How reproducible:

Not sure.  I file this report upon the second occurrence.  In between, I did "yum update" in a terminal, which installed stuff uneventfully.

Steps to Reproduce:
1.Wait for "Install updates and restart"
2."Install updates and restart"
3.Automatic reboot #1, apparently going according to plan
4.Automatic reboot #2
5.Log in
  
Actual results:

6.Gnome message says, "Software update failed".
7.Do yum update

Expected results:

6.Gnome message says, triumphantly, that software updates succeeded.

Additional info:

The page <http://freedesktop.org/wiki/Software/systemd/SystemUpdates> describes "system-update.target, a new target that is intended to pull in the base system (i.e. sysinit.target, so that all file systems are mounted but little else) and the system update script".  

But when I hit ESC and watched boot messages, I saw that it started a lot of stuff, including, for example, CUPS.  I wonder whether something is being included accidentally that panics in the unusual atmosphere and poisons the update.

Comment 1 Gunnar Wagenknecht 2013-02-20 08:11:57 UTC
Same here. I also can't use the "Install updates and restart" feature in Gnome. I do get the exact same error message (Network access was required but not available.).

Comment 2 Charles R. Anderson 2013-04-11 08:40:38 UTC
Same on Fedora 19.  It logged some additional info:

[root@localhost PackageKit]# journalctl |grep pk
Apr 11 03:37:31 localhost.localdomain setroubleshoot[1046]: @rpc_callback() interface=SETroubleshootServer method=logon_callback positional_args=['pkg_version', 'rpc_version']
Apr 11 03:40:31 localhost.localdomain pkexec[1398]: pam_unix(polkit-1:session): session opened for user root by (uid=992)
Apr 11 03:40:31 localhost.localdomain pkexec[1398]: gnome-initial-setup: Executing command [USER=root] [TTY=unknown] [CWD=/run/gnome-initial-setup] [COMMAND=/usr/bin/rm /var/lib/gdm/run-initial-setup]
Apr 11 04:22:58 localhost.localdomain pkexec[7755]: pam_unix(polkit-1:session): session opened for user root by (uid=1001)
Apr 11 04:22:58 localhost.localdomain pkexec[7755]: install2: Executing command [USER=root] [TTY=unknown] [CWD=/home/install2] [COMMAND=/usr/libexec/pk-trigger-offline-update]
Apr 11 04:24:55 localhost.localdomain setroubleshoot[987]: @rpc_callback() interface=SETroubleshootServer method=logon_callback positional_args=['pkg_version', 'rpc_version']
Apr 11 04:24:07 localhost.localdomain pk-offline-update[506]: ** (process:506): WARNING **: failed to update system: Errors were encountered while downloading packages.
Apr 11 04:24:07 localhost.localdomain pk-offline-update[506]: kernel-modules-extra-3.9.0-0.rc6.git0.1.fc19.x86_64: [Errno 256] No more mirrors to try.
Apr 11 04:24:07 localhost.localdomain pk-offline-update[506]: kernel-3.9.0-0.rc6.git0.1.fc19.x86_64: [Errno 256] No more mirrors to try.
Apr 11 04:26:06 localhost.localdomain pkexec[1959]: pam_unix(polkit-1:session): session opened for user root by (uid=1001)
Apr 11 04:26:06 localhost.localdomain pkexec[1959]: install2: Executing command [USER=root] [TTY=unknown] [CWD=/home/install2] [COMMAND=/usr/libexec/pk-clear-offline-update]

and there were some zero-length files in the yum cache afterwards:

[root@localhost 19]# find /var/cache/yum -size 0 -ls
527902    0 -rw-r--r--   1 root     root            0 Apr 11 03:40 /var/cache/yum/x86_64/19/updates/cachecookie
527864    0 -rw-r--r--   1 root     root            0 Apr 11 04:24 /var/cache/yum/x86_64/19/updates-testing/7c8cd6e6b561581331296790b019d7ffcf17c103fc6d895de3f4efda98fdf05f-prestodelta.xml.gz
527877    0 -rw-r--r--   1 root     root            0 Apr 11 04:24 /var/cache/yum/x86_64/19/updates-testing/packages/kernel-modules-extra-3.9.0-0.rc6.git0.1.fc19.x86_64.rpm
527870    0 -rw-r--r--   1 root     root            0 Apr 11 04:24 /var/cache/yum/x86_64/19/updates-testing/packages/kernel-3.9.0-0.rc6.git0.1.fc19.x86_64.rpm
527909    0 -rw-r--r--   1 root     root            0 Apr 11 03:40 /var/cache/yum/x86_64/19/updates-testing/cachecookie
527895    0 -rw-r--r--   1 root     root            0 Apr 11 03:40 /var/cache/yum/x86_64/19/fedora/cachecookie

Comment 3 Adam Williamson 2013-04-11 20:16:26 UTC
Charles: can you try importing the F19 GPG key - try just 'yum install'ing something, which should trigger it - then try again? I'm working on a theory that the first update out of the box won't work because the GPG key isn't imported.

Comment 4 Adam Pribyl 2013-06-06 20:02:26 UTC
I hit this today too, here is what was update by yum after this failure occured. It looks to me like the cache did not match the desired update - i.e. it needed to download two aditional files. There is no problem with the keys as the system was upgraded via fedora-upgrade (i.e. yum).

...
Dependencies Resolved

================================================================================
 Package                Arch   Version                            Repository
                                                                           Size
================================================================================
Installing:
 mesa-filesystem        i686   9.2-0.7.20130528.fc18              updates  20 k
     replacing  mesa-dri-filesystem.i686 9.1-3.fc18
 mesa-filesystem        x86_64 9.2-0.7.20130528.fc18              updates  20 k
     replacing  mesa-dri-filesystem.x86_64 9.1-3.fc18
Updating:
 PackageKit             x86_64 0.8.9-1.fc18                       updates 643 k
 PackageKit-device-rebind
                        x86_64 0.8.9-1.fc18                       updates  48 k
 PackageKit-glib        x86_64 0.8.9-1.fc18                       updates 160 k
 PackageKit-gstreamer-plugin
                        x86_64 0.8.9-1.fc18                       updates  48 k
 PackageKit-gtk3-module x86_64 0.8.9-1.fc18                       updates  49 k
 PackageKit-yum         x86_64 0.8.9-1.fc18                       updates 113 k
 PackageKit-yum-plugin  x86_64 0.8.9-1.fc18                       updates  43 k
 acpid                  x86_64 2.0.19-1.fc18                      updates  66 k
 amarok                 x86_64 2.7.1-2.fc18                       updates 5.1 M
 amarok-doc             noarch 2.7.1-2.fc18                       updates  30 M
 amarok-libs            x86_64 2.7.1-2.fc18                       updates 3.2 M
 amarok-utils           x86_64 2.7.1-2.fc18                       updates 130 k
 autocorr-en            noarch 1:3.6.6.2-8.fc18                   updates 144 k
 cairo                  i686   1.12.14-2.fc18                     updates 711 k
 cairo                  x86_64 1.12.14-2.fc18                     updates 679 k
 cairo-gobject          x86_64 1.12.14-2.fc18                     updates  24 k
 cantor                 x86_64 4.10.3-2.fc18                      updates 476 k
 cantor-libs            x86_64 4.10.3-2.fc18                      updates 200 k
 clutter                x86_64 1.12.2-2.fc18                      updates 981 k
 kdepim-runtime         x86_64 1:4.10.3-3.fc18                    updates 2.9 M
 kdepim-runtime-libs    x86_64 1:4.10.3-3.fc18                    updates 146 k
 lftp                   x86_64 4.4.6-1.fc18                       updates 731 k
 libFS                  x86_64 1.0.4-6.20130524git26dc23446.fc18  updates  31 k
 libXcursor             i686   1.1.13-5.20130524git8f677eaea.fc18 updates  29 k
 libXcursor             x86_64 1.1.13-5.20130524git8f677eaea.fc18 updates  29 k
 libXext                i686   1.3.1-3.20130524gitdfe6e1f3b.fc18  updates  36 k
 libXext                x86_64 1.3.1-3.20130524gitdfe6e1f3b.fc18  updates  36 k
 libXfixes              i686   5.0-6.20130524gitc480fe327.fc18    updates  17 k
 libXfixes              x86_64 5.0-6.20130524gitc480fe327.fc18    updates  18 k
 libXi                  i686   1.6.2.901-1.fc18                   updates  38 k
 libXi                  x86_64 1.6.2.901-1.fc18                   updates  37 k
 libXinerama            i686   1.1.2-5.20130524git99c644fc8.fc18  updates  13 k
 libXinerama            x86_64 1.1.2-5.20130524git99c644fc8.fc18  updates  13 k
 libXrandr              i686   1.4.0-4.20130524gitc90f74497.fc18  updates  24 k
 libXrandr              x86_64 1.4.0-4.20130524gitc90f74497.fc18  updates  24 k
 libXrender             i686   0.9.7-5.20130524git786f78fd8.fc18  updates  24 k
 libXrender             x86_64 0.9.7-5.20130524git786f78fd8.fc18  updates  25 k
 libXres                x86_64 1.0.6-5.20130524gitf46818496.fc18  updates  14 k
 libXt                  i686   1.1.3-4.20130524git1f4802b74.fc18  updates 166 k
 libXt                  x86_64 1.1.3-4.20130524git1f4802b74.fc18  updates 169 k
 libXtst                i686   1.2.1-6.20130524gite7e04b7be.fc18  updates  19 k
 libXtst                x86_64 1.2.1-6.20130524gite7e04b7be.fc18  updates  20 k
 libXv                  x86_64 1.0.7-5.20130524git50fc4cb18.fc18  updates  17 k
 libXvMC                x86_64 1.0.7-6.20130524gite9415ddef.fc18  updates  22 k
 libXxf86dga            x86_64 1.1.3-5.20130524gita8dc6be32.fc18  updates  19 k
 libXxf86vm             i686   1.1.2-5.20130524git4c4123441.fc18  updates  17 k
 libXxf86vm             x86_64 1.1.2-5.20130524git4c4123441.fc18  updates  17 k
 libdmx                 x86_64 1.1.2-4.20130524git5074d9d64.fc18  updates  15 k
 libkgapi               x86_64 2.0.0-1.fc18                       updates 346 k
 libreoffice-calc       x86_64 1:3.6.6.2-8.fc18                   updates 7.7 M
 libreoffice-core       x86_64 1:3.6.6.2-8.fc18                   updates  68 M
 libreoffice-draw       x86_64 1:3.6.6.2-8.fc18                   updates 689 k
 libreoffice-graphicfilter
                        x86_64 1:3.6.6.2-8.fc18                   updates 340 k
 libreoffice-impress    x86_64 1:3.6.6.2-8.fc18                   updates 1.0 M
 libreoffice-langpack-en
                        x86_64 1:3.6.6.2-8.fc18                   updates  39 k
 libreoffice-math       x86_64 1:3.6.6.2-8.fc18                   updates 1.1 M
 libreoffice-opensymbol-fonts
                        noarch 1:3.6.6.2-8.fc18                   updates 213 k
 libreoffice-pdfimport  x86_64 1:3.6.6.2-8.fc18                   updates 568 k
 libreoffice-presenter-screen
                        x86_64 1:3.6.6.2-8.fc18                   updates 863 k
 libreoffice-ure        x86_64 1:3.6.6.2-8.fc18                   updates 2.7 M
 libreoffice-writer     x86_64 1:3.6.6.2-8.fc18                   updates 4.8 M
 libreoffice-xsltfilter x86_64 1:3.6.6.2-8.fc18                   updates 226 k
 libsmbclient           x86_64 2:4.0.6-2.fc18                     updates 109 k
 libwbclient            x86_64 2:4.0.6-2.fc18                     updates  78 k
 libwps                 x86_64 0.2.9-1.fc18                       updates 241 k
 libxcb                 i686   1.9-3.fc18                         updates 170 k
 libxcb                 x86_64 1.9-3.fc18                         updates 160 k
 libxml2                i686   2.9.1-1.fc18.1                     updates 654 k
 libxml2                x86_64 2.9.1-1.fc18.1                     updates 653 k
 libxml2-python         x86_64 2.9.1-1.fc18.1                     updates 239 k
 llvm-libs              i686   3.3-0.4.rc2.fc18                   updates 7.4 M
 llvm-libs              x86_64 3.3-0.4.rc2.fc18                   updates 6.9 M
 logwatch               noarch 7.4.0-25.20130522svn140.fc18       updates 400 k
 mesa-dri-drivers       i686   9.2-0.7.20130528.fc18              updates  11 M
 mesa-dri-drivers       x86_64 9.2-0.7.20130528.fc18              updates  11 M
 mesa-libEGL            i686   9.2-0.7.20130528.fc18              updates  71 k
 mesa-libEGL            x86_64 9.2-0.7.20130528.fc18              updates  70 k
 mesa-libGL             i686   9.2-0.7.20130528.fc18              updates 145 k
 mesa-libGL             x86_64 9.2-0.7.20130528.fc18              updates 129 k
 mesa-libGLES           x86_64 9.2-0.7.20130528.fc18              updates  26 k
 mesa-libgbm            i686   9.2-0.7.20130528.fc18              updates  28 k
 mesa-libgbm            x86_64 9.2-0.7.20130528.fc18              updates  28 k
 mesa-libglapi          i686   9.2-0.7.20130528.fc18              updates  48 k
 mesa-libglapi          x86_64 9.2-0.7.20130528.fc18              updates  32 k
 mesa-libxatracker      x86_64 9.2-0.7.20130528.fc18              updates 654 k
 perl-Sys-Syslog        x86_64 0.33-1.fc18                        updates  42 k
 python-feedparser      noarch 5.1.3-3.fc18                       updates 107 k
 rrdtool                x86_64 1.4.8-1.fc18                       updates 363 k
 rrdtool-perl           x86_64 1.4.8-1.fc18                       updates  40 k
 samba                  x86_64 2:4.0.6-2.fc18                     updates 524 k
 samba-client           x86_64 2:4.0.6-2.fc18                     updates 444 k
 samba-common           x86_64 2:4.0.6-2.fc18                     updates 688 k
 samba-libs             x86_64 2:4.0.6-2.fc18                     updates 4.1 M
 samba-winbind          x86_64 2:4.0.6-2.fc18                     updates 432 k
 samba-winbind-clients  x86_64 2:4.0.6-2.fc18                     updates 140 k
 wine-courier-fonts     noarch 1.5.29-1.fc18                      updates  54 k
 wine-marlett-fonts     noarch 1.5.29-1.fc18                      updates  53 k
 wine-ms-sans-serif-fonts
                        noarch 1.5.29-1.fc18                      updates  67 k
 wine-small-fonts       noarch 1.5.29-1.fc18                      updates  56 k
 wine-symbol-fonts      noarch 1.5.29-1.fc18                      updates  67 k
 wine-system-fonts      noarch 1.5.29-1.fc18                      updates  59 k
 wine-systemd           noarch 1.5.29-1.fc18                      updates  41 k
 xkeyboard-config       noarch 2.6-8.fc18                         updates 692 k
 xorg-x11-drv-ati       x86_64 7.1.0-5.20130408git6e74aacc5.fc18  updates 162 k
 xorg-x11-drv-intel     x86_64 2.21.8-1.fc18                      updates 516 k
 xorg-x11-drv-nouveau   x86_64 1:1.0.7-1.fc18                     updates  93 k
 xorg-x11-drv-openchrome
                        x86_64 0.3.3-1.fc18                       updates 169 k
Installing for dependencies:
 elfutils-libelf        i686   0.155-1.fc18                       fedora  184 k
 xorg-x11-glamor        x86_64 0.5.0-5.20130401git81aadb8.fc18    updates  96 k

Transaction Summary
================================================================================
Install    2 Packages (+2 Dependent packages)
Upgrade  107 Packages

Total size: 185 M
Total download size: 40 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): mesa-filesystem-9.2-0.7.20130528.fc18.i686.rpm      |  20 kB   00:01     
(2/2): mesa-filesystem-9.2-0.7.20130528.fc18.x86_64.rpm    |  20 kB   00:00     
--------------------------------------------------------------------------------
Total                                            29 kB/s |  40 kB     00:01     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : libXext-1.3.1-3.20130524gitdfe6e1f3b.fc18.x86_64           1/220 
  Updating   : libxml2-2.9.1-1.fc18.1.x86_64                              2/220 
  Updating   : 1:libreoffice-ure-3.6.6.2-8.fc18.x86_64                    3/220 
  Updating   : libXrender-0.9.7-5.20130524git786f78fd8.fc18.x86_64        4/220 
  Updating   : libxcb-1.9-3.fc18.x86_64                                   5/220 
  Updating   : 2:libwbclient-4.0.6-2.fc18.x86_64                          6/220 
  Updating   : 2:samba-libs-4.0.6-2.fc18.x86_64                           7/220 
  Updating   : 2:samba-common-4.0.6-2.fc18.x86_64                         8/220 
  Updating   : mesa-libglapi-9.2-0.7.20130528.fc18.x86_64                 9/220 
  Updating   : PackageKit-glib-0.8.9-1.fc18.x86_64                       10/220 
  Updating   : libXv-1.0.7-5.20130524git50fc4cb18.fc18.x86_64            11/220 
  Updating   : libXfixes-5.0-6.20130524gitc480fe327.fc18.x86_64          12/220 
  Updating   : libXvMC-1.0.7-6.20130524gite9415ddef.fc18.x86_64          13/220 
  Updating   : PackageKit-yum-0.8.9-1.fc18.x86_64                        14/220 
  Updating   : PackageKit-0.8.9-1.fc18.x86_64                            15/220 
  Updating   : libXi-1.6.2.901-1.fc18.x86_64                             16/220 
  Updating   : llvm-libs-3.3-0.4.rc2.fc18.x86_64                         17/220 
  Updating   : 1:autocorr-en-3.6.6.2-8.fc18.noarch                       18/220 
  Updating   : mesa-libgbm-9.2-0.7.20130528.fc18.x86_64                  19/220 
  Updating   : mesa-libEGL-9.2-0.7.20130528.fc18.x86_64                  20/220 
  Updating   : 2:samba-winbind-4.0.6-2.fc18.x86_64                       21/220 
  Updating   : 2:libsmbclient-4.0.6-2.fc18.x86_64                        22/220 
  Updating   : libXrandr-1.4.0-4.20130524gitc90f74497.fc18.x86_64        23/220 
  Updating   : libXxf86vm-1.1.2-5.20130524git4c4123441.fc18.x86_64       24/220 
  Updating   : mesa-libGL-9.2-0.7.20130528.fc18.x86_64                   25/220 
  Updating   : cairo-1.12.14-2.fc18.x86_64                               26/220 
  Updating   : cairo-gobject-1.12.14-2.fc18.x86_64                       27/220 
  Updating   : rrdtool-1.4.8-1.fc18.x86_64                               28/220 
  Installing : xorg-x11-glamor-0.5.0-5.20130401git81aadb8.fc18.x86_64    29/220 
  Updating   : libXinerama-1.1.2-5.20130524git99c644fc8.fc18.x86_64      30/220 
  Updating   : cantor-4.10.3-2.fc18.x86_64                               31/220 
  Updating   : cantor-libs-4.10.3-2.fc18.x86_64                          32/220 
  Updating   : libwps-0.2.9-1.fc18.x86_64                                33/220 
  Updating   : amarok-utils-2.7.1-2.fc18.x86_64                          34/220 
  Updating   : amarok-libs-2.7.1-2.fc18.x86_64                           35/220 
  Updating   : amarok-2.7.1-2.fc18.x86_64                                36/220 
  Updating   : 1:libreoffice-opensymbol-fonts-3.6.6.2-8.fc18.noarch      37/220 
  Installing : mesa-filesystem-9.2-0.7.20130528.fc18.i686                38/220 
  Updating   : libXt-1.1.3-4.20130524git1f4802b74.fc18.x86_64            39/220 
  Updating   : 1:libreoffice-writer-3.6.6.2-8.fc18.x86_64                40/220 
  Updating   : 1:libreoffice-core-3.6.6.2-8.fc18.x86_64                  41/220 
  Updating   : 1:libreoffice-presenter-screen-3.6.6.2-8.fc18.x86_64      42/220 
  Updating   : 1:libreoffice-impress-3.6.6.2-8.fc18.x86_64               43/220 
  Updating   : 1:libreoffice-graphicfilter-3.6.6.2-8.fc18.x86_64         44/220 
  Updating   : 1:libreoffice-draw-3.6.6.2-8.fc18.x86_64                  45/220 
  Updating   : 1:libreoffice-pdfimport-3.6.6.2-8.fc18.x86_64             46/220 
  Updating   : libkgapi-2.0.0-1.fc18.x86_64                              47/220 
  Updating   : 1:kdepim-runtime-libs-4.10.3-3.fc18.x86_64                48/220 
  Updating   : 1:kdepim-runtime-4.10.3-3.fc18.x86_64                     49/220 
  Installing : mesa-filesystem-9.2-0.7.20130528.fc18.x86_64              50/220 
  Updating   : mesa-dri-drivers-9.2-0.7.20130528.fc18.x86_64             51/220 
  Updating   : 1:libreoffice-xsltfilter-3.6.6.2-8.fc18.x86_64            52/220 
  Updating   : 1:libreoffice-calc-3.6.6.2-8.fc18.x86_64                  53/220 
  Updating   : 1:libreoffice-math-3.6.6.2-8.fc18.x86_64                  54/220 
  Updating   : 1:libreoffice-langpack-en-3.6.6.2-8.fc18.x86_64           55/220 
  Updating   : amarok-doc-2.7.1-2.fc18.noarch                            56/220 
  Updating   : xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc18.x86    57/220 
  Updating   : rrdtool-perl-1.4.8-1.fc18.x86_64                          58/220 
  Updating   : clutter-1.12.2-2.fc18.x86_64                              59/220 
  Updating   : PackageKit-gtk3-module-0.8.9-1.fc18.x86_64                60/220 
  Updating   : 2:samba-client-4.0.6-2.fc18.x86_64                        61/220 
  Updating   : 2:samba-winbind-clients-4.0.6-2.fc18.x86_64               62/220 
  Updating   : mesa-libxatracker-9.2-0.7.20130528.fc18.x86_64            63/220 
  Updating   : libXtst-1.2.1-6.20130524gite7e04b7be.fc18.x86_64          64/220 
  Updating   : PackageKit-yum-plugin-0.8.9-1.fc18.x86_64                 65/220 
  Updating   : xorg-x11-drv-openchrome-0.3.3-1.fc18.x86_64               66/220 
  Updating   : xorg-x11-drv-intel-2.21.8-1.fc18.x86_64                   67/220 
  Updating   : libXcursor-1.1.13-5.20130524git8f677eaea.fc18.x86_64      68/220 
  Updating   : PackageKit-gstreamer-plugin-0.8.9-1.fc18.x86_64           69/220 
  Updating   : PackageKit-device-rebind-0.8.9-1.fc18.x86_64              70/220 
  Updating   : mesa-libGLES-9.2-0.7.20130528.fc18.x86_64                 71/220 
  Updating   : 2:samba-4.0.6-2.fc18.x86_64                               72/220 
  Updating   : libxml2-python-2.9.1-1.fc18.1.x86_64                      73/220 
  Updating   : libXxf86dga-1.1.3-5.20130524gita8dc6be32.fc18.x86_64      74/220 
  Updating   : libdmx-1.1.2-4.20130524git5074d9d64.fc18.x86_64           75/220 
  Updating   : libXres-1.0.6-5.20130524gitf46818496.fc18.x86_64          76/220 
  Updating   : perl-Sys-Syslog-0.33-1.fc18.x86_64                        77/220 
  Updating   : wine-marlett-fonts-1.5.29-1.fc18.noarch                   78/220 
  Updating   : libFS-1.0.4-6.20130524git26dc23446.fc18.x86_64            79/220 
  Updating   : lftp-4.4.6-1.fc18.x86_64                                  80/220 
  Updating   : 1:xorg-x11-drv-nouveau-1.0.7-1.fc18.x86_64                81/220 
  Updating   : xkeyboard-config-2.6-8.fc18.noarch                        82/220 
  Updating   : wine-system-fonts-1.5.29-1.fc18.noarch                    83/220 
  Updating   : logwatch-7.4.0-25.20130522svn140.fc18.noarch              84/220 
  Updating   : wine-symbol-fonts-1.5.29-1.fc18.noarch                    85/220 
  Updating   : wine-ms-sans-serif-fonts-1.5.29-1.fc18.noarch             86/220 
  Updating   : python-feedparser-5.1.3-3.fc18.noarch                     87/220 
  Updating   : wine-small-fonts-1.5.29-1.fc18.noarch                     88/220 
  Updating   : wine-courier-fonts-1.5.29-1.fc18.noarch                   89/220 
  Updating   : acpid-2.0.19-1.fc18.x86_64                                90/220 
  Updating   : wine-systemd-1.5.29-1.fc18.noarch                         91/220 
  Updating   : libXext-1.3.1-3.20130524gitdfe6e1f3b.fc18.i686            92/220 
  Updating   : libXrender-0.9.7-5.20130524git786f78fd8.fc18.i686         93/220 
  Updating   : libxcb-1.9-3.fc18.i686                                    94/220 
  Updating   : mesa-libglapi-9.2-0.7.20130528.fc18.i686                  95/220 
  Updating   : libXfixes-5.0-6.20130524gitc480fe327.fc18.i686            96/220 
  Updating   : mesa-libgbm-9.2-0.7.20130528.fc18.i686                    97/220 
  Updating   : mesa-libEGL-9.2-0.7.20130528.fc18.i686                    98/220 
  Updating   : libXi-1.6.2.901-1.fc18.i686                               99/220 
  Updating   : libXxf86vm-1.1.2-5.20130524git4c4123441.fc18.i686        100/220 
  Updating   : mesa-libGL-9.2-0.7.20130528.fc18.i686                    101/220 
  Updating   : llvm-libs-3.3-0.4.rc2.fc18.i686                          102/220 
  Installing : elfutils-libelf-0.155-1.fc18.i686                        103/220 
  Updating   : mesa-dri-drivers-9.2-0.7.20130528.fc18.i686              104/220 
warning: /etc/drirc created as /etc/drirc.rpmnew
  Updating   : cairo-1.12.14-2.fc18.i686                                105/220 
  Updating   : libXtst-1.2.1-6.20130524gite7e04b7be.fc18.i686           106/220 
  Updating   : libXcursor-1.1.13-5.20130524git8f677eaea.fc18.i686       107/220 
  Updating   : libXrandr-1.4.0-4.20130524gitc90f74497.fc18.i686         108/220 
  Updating   : libXinerama-1.1.2-5.20130524git99c644fc8.fc18.i686       109/220 
  Updating   : libXt-1.1.3-4.20130524git1f4802b74.fc18.i686             110/220 
  Updating   : libxml2-2.9.1-1.fc18.1.i686                              111/220 
  Cleanup    : 2:samba-winbind-clients-4.0.5-1.fc18.x86_64              112/220 
  Cleanup    : 2:samba-client-4.0.5-1.fc18.x86_64                       113/220 
  Cleanup    : 2:samba-4.0.5-1.fc18.x86_64                              114/220 
  Cleanup    : cairo-1.12.14-1.fc18                                     115/220 
  Cleanup    : mesa-libGL-9.1-3.fc18                                    116/220 
  Cleanup    : 2:samba-winbind-4.0.5-1.fc18.x86_64                      117/220 
  Cleanup    : 1:libreoffice-pdfimport-3.6.6.2-5.fc18.x86_64            118/220 
  Cleanup    : 1:libreoffice-draw-3.6.6.2-5.fc18.x86_64                 119/220 
  Cleanup    : mesa-libEGL-9.1-3.fc18                                   120/220 
  Cleanup    : 2:libsmbclient-4.0.5-1.fc18.x86_64                       121/220 
  Cleanup    : 2:samba-common-4.0.5-1.fc18.x86_64                       122/220 
  Cleanup    : 1:libreoffice-langpack-en-3.6.6.2-5.fc18.x86_64          123/220 
  Cleanup    : mesa-dri-drivers-9.1-3.fc18                              124/220 
  Cleanup    : libXrandr-1.4.0-1.fc18                                   125/220 
  Cleanup    : libXtst-1.2.1-3.fc18                                     126/220 
  Cleanup    : libXcursor-1.1.13-2.fc18                                 127/220 
  Cleanup    : libXi-1.6.2-1.fc18                                       128/220 
  Cleanup    : 2:samba-libs-4.0.5-1.fc18.x86_64                         129/220 
  Cleanup    : mesa-libgbm-9.1-3.fc18                                   130/220 
  Cleanup    : libXxf86vm-1.1.2-2.fc18                                  131/220 
  Cleanup    : PackageKit-yum-plugin-0.8.7-1.fc18.x86_64                132/220 
  Cleanup    : rrdtool-perl-1.4.7-8.fc18.x86_64                         133/220 
  Cleanup    : rrdtool-1.4.7-8.fc18.x86_64                              134/220 
  Cleanup    : libXinerama-1.1.2-2.fc18                                 135/220 
  Cleanup    : 1:libreoffice-xsltfilter-3.6.6.2-5.fc18.x86_64           136/220 
  Cleanup    : amarok-doc-2.7.0-2.fc18.noarch                           137/220 
  Cleanup    : libXext-1.3.1-2.fc18                                     138/220 
  Cleanup    : mesa-libglapi-9.1-3.fc18                                 139/220 
  Cleanup    : 2:libwbclient-4.0.5-1.fc18.x86_64                        140/220 
  Cleanup    : libXfixes-5.0-3.fc18                                     141/220 
  Cleanup    : libXrender-0.9.7-2.fc18                                  142/220 
  Cleanup    : llvm-libs-3.2-2.fc18                                     143/220 
  Erasing    : mesa-dri-filesystem-9.1-3.fc18                           144/220 
  Cleanup    : libxcb-1.9-1.fc18                                        145/220 
  Cleanup    : libXt-1.1.3-1.fc18                                       146/220 
  Cleanup    : libxml2-2.9.1-1.fc18                                     147/220 
  Cleanup    : wine-marlett-fonts-1.5.25-1.fc18.noarch                  148/220 
  Cleanup    : xkeyboard-config-2.6-7.fc18.noarch                       149/220 
  Cleanup    : wine-system-fonts-1.5.25-1.fc18.noarch                   150/220 
  Cleanup    : logwatch-7.4.0-23.20130102svn127.fc18.noarch             151/220 
  Cleanup    : wine-symbol-fonts-1.5.25-1.fc18.noarch                   152/220 
  Cleanup    : wine-ms-sans-serif-fonts-1.5.25-1.fc18.noarch            153/220 
  Cleanup    : python-feedparser-5.1.3-2.fc18.noarch                    154/220 
  Cleanup    : wine-small-fonts-1.5.25-1.fc18.noarch                    155/220 
  Cleanup    : wine-courier-fonts-1.5.25-1.fc18.noarch                  156/220 
  Cleanup    : wine-systemd-1.5.25-1.fc18.noarch                        157/220 
  Cleanup    : 1:libreoffice-graphicfilter-3.6.6.2-5.fc18.x86_64        158/220 
  Cleanup    : 1:libreoffice-presenter-screen-3.6.6.2-5.fc18.x86_64     159/220 
  Cleanup    : 1:libreoffice-impress-3.6.6.2-5.fc18.x86_64              160/220 
  Cleanup    : 1:libreoffice-math-3.6.6.2-5.fc18.x86_64                 161/220 
  Cleanup    : 1:libreoffice-calc-3.6.6.2-5.fc18.x86_64                 162/220 
  Cleanup    : 1:libreoffice-writer-3.6.6.2-5.fc18.x86_64               163/220 
  Cleanup    : 1:libreoffice-core-3.6.6.2-5.fc18.x86_64                 164/220 
  Cleanup    : clutter-1.12.2-1.fc18.x86_64                             165/220 
  Cleanup    : amarok-libs-2.7.0-2.fc18.x86_64                          166/220 
  Cleanup    : amarok-2.7.0-2.fc18.x86_64                               167/220 
  Cleanup    : 1:kdepim-runtime-libs-4.10.3-2.fc18.x86_64               168/220 
  Cleanup    : 1:kdepim-runtime-4.10.3-2.fc18.x86_64                    169/220 
  Cleanup    : PackageKit-gtk3-module-0.8.7-1.fc18.x86_64               170/220 
  Cleanup    : cairo-gobject-1.12.14-1.fc18.x86_64                      171/220 
  Cleanup    : cairo-1.12.14-1.fc18                                     172/220 
  Cleanup    : mesa-libGL-9.1-3.fc18                                    173/220 
  Cleanup    : mesa-libEGL-9.1-3.fc18                                   174/220 
  Cleanup    : xorg-x11-drv-intel-2.21.6-1.fc18.x86_64                  175/220 
  Cleanup    : xorg-x11-drv-openchrome-0.3.2-1.fc18.x86_64              176/220 
  Cleanup    : libXvMC-1.0.7-2.fc18.x86_64                              177/220 
  Cleanup    : libXrandr-1.4.0-1.fc18                                   178/220 
  Cleanup    : PackageKit-yum-0.8.7-1.fc18.x86_64                       179/220 
  Cleanup    : PackageKit-0.8.7-1.fc18.x86_64                           180/220 
  Cleanup    : libXcursor-1.1.13-2.fc18                                 181/220 
  Cleanup    : libXtst-1.2.1-3.fc18                                     182/220 
  Cleanup    : PackageKit-gstreamer-plugin-0.8.7-1.fc18.x86_64          183/220 
  Cleanup    : mesa-dri-drivers-9.1-3.fc18                              184/220 
  Cleanup    : libXi-1.6.2-1.fc18                                       185/220 
  Cleanup    : libXv-1.0.7-2.fc18.x86_64                                186/220 
  Cleanup    : mesa-libgbm-9.1-3.fc18                                   187/220 
  Cleanup    : libXxf86vm-1.1.2-2.fc18                                  188/220 
  Cleanup    : libXinerama-1.1.2-2.fc18                                 189/220 
  Cleanup    : 1:libreoffice-ure-3.6.6.2-5.fc18.x86_64                  190/220 
  Cleanup    : cantor-4.10.3-1.fc18.x86_64                              191/220 
  Cleanup    : cantor-libs-4.10.3-1.fc18.x86_64                         192/220 
  Cleanup    : libxml2-python-2.9.1-1.fc18.x86_64                       193/220 
  Cleanup    : mesa-libxatracker-9.1-3.fc18.x86_64                      194/220 
  Cleanup    : libXres-1.0.6-2.fc18.x86_64                              195/220 
  Cleanup    : mesa-libGLES-9.1-3.fc18.x86_64                           196/220 
  Cleanup    : PackageKit-device-rebind-0.8.7-1.fc18.x86_64             197/220 
  Cleanup    : libdmx-1.1.2-2.fc18.x86_64                               198/220 
  Cleanup    : libXxf86dga-1.1.3-2.fc18.x86_64                          199/220 
  Erasing    : mesa-dri-filesystem-9.1-3.fc18                           200/220 
  Cleanup    : 1:autocorr-en-3.6.6.2-5.fc18.noarch                      201/220 
  Cleanup    : 1:libreoffice-opensymbol-fonts-3.6.6.2-5.fc18.noarch     202/220 
  Cleanup    : libXext-1.3.1-2.fc18                                     203/220 
  Cleanup    : PackageKit-glib-0.8.7-1.fc18.x86_64                      204/220 
  Cleanup    : mesa-libglapi-9.1-3.fc18                                 205/220 
  Cleanup    : llvm-libs-3.2-2.fc18                                     206/220 
  Cleanup    : libxml2-2.9.1-1.fc18                                     207/220 
  Cleanup    : libXfixes-5.0-3.fc18                                     208/220 
  Cleanup    : libXrender-0.9.7-2.fc18                                  209/220 
  Cleanup    : libxcb-1.9-1.fc18                                        210/220 
  Cleanup    : libkgapi-0.4.4-1.fc18.x86_64                             211/220 
  Cleanup    : amarok-utils-2.7.0-2.fc18.x86_64                         212/220 
  Cleanup    : libXt-1.1.3-1.fc18                                       213/220 
  Cleanup    : libwps-0.2.8-1.fc18.x86_64                               214/220 
  Cleanup    : xorg-x11-drv-ati-7.0.0-0.9.20121015gitbd9e2c064.fc18.x   215/220 
  Cleanup    : perl-Sys-Syslog-0.32-1.fc18.x86_64                       216/220 
  Cleanup    : libFS-1.0.4-2.fc18.x86_64                                217/220 
  Cleanup    : lftp-4.4.2-1.fc18.x86_64                                 218/220 
  Cleanup    : 1:xorg-x11-drv-nouveau-1.0.6-4.fc18.x86_64               219/220 
  Cleanup    : acpid-2.0.18-3.fc18.x86_64                               220/220 
...

Comment 5 Richard Hughes 2013-12-10 17:33:53 UTC
There have been quite a few whack-a-mole fixes to the yum backend to try to fix this properly, but in F20 you can use the hawkey backend which has it's own protected cache so this kind of thing should not be possible in the future. In f21 we'll turn on PackageKit-hawkey on by default.

Comment 6 Richard Hughes 2013-12-10 17:34:24 UTC
*** Bug 907166 has been marked as a duplicate of this bug. ***

Comment 7 Richard Hughes 2013-12-10 17:34:39 UTC
*** Bug 907216 has been marked as a duplicate of this bug. ***

Comment 8 Fedora End Of Life 2013-12-21 15:21:04 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2014-02-05 23:01:00 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.